LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 05-03-2014, 11:44 PM   #1
uciiucii
LQ Newbie
 
Registered: Apr 2014
Posts: 10

Rep: Reputation: Disabled
MOMOSE for manet, error installing


hello i'm new here.

is there anyone here ever use MOMOSE (Mobility Model Simulation Environment) for MANET? I have couple errors when installing it. anyone can help me?

Let's start with, what requirement to use this MOMOSE?

Thanks
 
Old 05-05-2014, 01:45 AM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156
Welcome to LQ.

Is this about ns2 ?

What is it you are trying to add ? ? A link, please.

-
 
Old 05-05-2014, 01:54 AM   #3
uciiucii
LQ Newbie
 
Registered: Apr 2014
Posts: 10

Original Poster
Rep: Reputation: Disabled
well actually it's a mobility model tools for manet, and its result can be use in ns2.

here's a link about MOMOSE : http://piluc.dsi.unifi.it/piluc/?page_id=140

I use ubuntu 10.04 and ns 2.34

I hope you can help me.

Thanks sir
 
Old 05-05-2014, 04:10 AM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156
MoMoSE , Ubuntu 10.04 ..

# 3 .

$ sudo apt-get install g++-4.1 libtclap-dev libexpat1-dev

$ cd momosecpp/src/ : Edit the Makefile , lines 2 - 3 :
CC=g++-4.1
CFLAG=-I/home/name/momosecpp/src/include
* Please replace the above with the actual full path to momosecpp/src/include/

* In momosecpp/src/include/ , please do :
$ ln -s Point2D.h point2D.h

Now you can do $ make
.. in momosecpp/src/ , and the executable 'momose' is created.

-
 
1 members found this post helpful.
Old 05-05-2014, 07:53 AM   #5
uciiucii
LQ Newbie
 
Registered: Apr 2014
Posts: 10

Original Poster
Rep: Reputation: Disabled
Thank you so much sir, it Works!

But I still have a problem when installing the java version, couple of warning and errors appear.
Can you help me solve this sir?
 
Old 05-05-2014, 08:55 AM   #6
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156
# 5 : MoMoSE (Java version).

Well, then please tell what you have done.
So far I cannot find the library libjogl_awt.so.

And I get 67 errors With ...
$ javac -classpath ./src:./lib/gluegen-rt.jar:./lib/jogl.jar -d ./bin ./src/gui/Momose.java
.. by using java version "1.7.0_55"

→ → error: package javax.media.opengl does not exist

-
 
Old 05-05-2014, 11:11 AM   #7
uciiucii
LQ Newbie
 
Registered: Apr 2014
Posts: 10

Original Poster
Rep: Reputation: Disabled
I got the libjogl_awt.so from this jogl packages http://jogamp.org/deployment/jogamp-...l-platforms.7z

Same like you I got that errors too, when i fix the awt.so it still an error appear.

So I tried to fix it by installing java jre and jdk (java ver 1.6). Then i start installing it again.
Then..

Quote:
./src/models/ModelConfigDlg.java:16: warning: com.sun.org.apache.xpath.internal.WhitespaceStrippingElementMatcher is internal proprietary API and may be removed in a future release
import com.sun.org.apache.xpath.internal.WhitespaceStrippingElementMatcher;
^
Note: Some input files use unchecked or unsafe operations.
Note: Recompile with -Xlint:unchecked for details.
1 warning
it's still not working.
Am I use the wrong java version?
 
Old 05-06-2014, 10:13 AM   #8
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156
# 7 .

Could be java 5 ?

Which file are you using for "libjogl_awt.so" ?
 
Old 05-06-2014, 02:58 PM   #9
uciiucii
LQ Newbie
 
Registered: Apr 2014
Posts: 10

Original Poster
Rep: Reputation: Disabled
I use java 1.5 then it's not working, then i try to use java 1.6 and it's not working too

it's in /usr/lib/jni/libjogl_awt.so sir
 
Old 05-06-2014, 05:13 PM   #10
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156
# 9 : MoMoSE (Java version)

The JOGL version to use is 1.1.1
( MoMoSE is old, I guessed that <jogl--latest> is too new.)
http://download.java.net/media/jogl/...jsr-231-1.1.1/

'momose' compiles in a second (Oracle java 7), and opens OK with ...
$ java -cp ./bin:./lib/gluegen-rt.jar:./lib/jogl.jar -Djava.library.path=./lib gui.Momose
-

Last edited by knudfl; 05-07-2014 at 03:13 PM.
 
Old 05-07-2014, 04:27 AM   #11
uciiucii
LQ Newbie
 
Registered: Apr 2014
Posts: 10

Original Poster
Rep: Reputation: Disabled
should I remove the latest jogl and replace it with jogl 1.1.1 or just copy the required file for momose?
 
Old 05-07-2014, 04:51 AM   #12
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156
# 11 .

Jogl isn't required on your system , only the libraries in momose/lib/:

Example 32bits (i686) :
jogl-1.1.1-linux-i586/lib/\
{gluegen-rt.jar jogl.jar libgluegen-rt.so libjogl_awt.so libjogl_cg.so libjogl.so}

Just copy the 6 files to momose/lib/ ,
or replace the momose/lib folder with a copy of the jogl-1.1.1-linux-i586/ lib folder.

-

Last edited by knudfl; 05-07-2014 at 04:55 AM.
 
Old 05-07-2014, 02:50 PM   #13
uciiucii
LQ Newbie
 
Registered: Apr 2014
Posts: 10

Original Poster
Rep: Reputation: Disabled
Thank you sir, it really works
but there's still a warning while compiling, is it okay?
 
Old 05-07-2014, 03:12 PM   #14
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2016, Slack14.1 Deb Jessie, + 50+ other Linux OS, for test only.
Posts: 16,276

Rep: Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156Reputation: 3156
# 13 .

Warnings can usually be ignored. Are often about a function that isn't used.

* A warning is "an informative text".
 
Old 05-07-2014, 09:42 PM   #15
uciiucii
LQ Newbie
 
Registered: Apr 2014
Posts: 10

Original Poster
Rep: Reputation: Disabled
Ok, thank you sir
 
  


Reply

Tags
momose, ns2


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
trust calculation in manet nandhiniraja Linux - Newbie 4 09-18-2014 05:26 AM
NS2 simulator in manet raji27 Linux - Software 7 02-24-2013 10:44 AM
ns2 MANET question rannn Linux - Software 4 09-20-2012 07:30 AM
NS2 simulator in manet raji27 Linux - Software 2 09-13-2011 11:38 PM
MANET ad-hoc test pierre44 Linux - Networking 0 08-11-2005 09:01 AM


All times are GMT -5. The time now is 04:19 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration